import { Mark } from './Mark';
import { GridHeatMapModel } from './GridHeatMapModel';
export declare class GridHeatMap extends Mark {
    render(): Promise<void>;
    initialize_additional_scales(): void;
    set_ranges(): void;
    set_positional_scales(): void;
    private expandScaleDomain;
    get numRows(): number;
    get numColumns(): number;
    create_listeners(): void;
    private handleClick;
    private updateSelected;
    set_style_on_elements(style: any, indices: any, elements: any): void;
    set_default_style(indices: any, elements: any): void;
    clear_style(style_dict: any, indices?: any, elements?: any): void;
    private filterCellsByNum;
    selected_style_updated(model: any, style: any): void;
    unselected_style_updated(model: any, style: any): void;
    apply_styles(): void;
    style_updated(new_style: any, indices: any, elements: any): void;
    private resetSelection;
    relayout(): void;
    private indicesToCellNums;
    invert_point(pixel: any): void;
    selector_changed(point_selector: any, rect_selector: any): any[];
    draw(): void;
    private updateStroke;
    private updateOpacity;
    private updateLabels;
    private getTilePlottingData;
    get_element_fill(dat: any): any;
    process_click(interaction: any): void;
    compute_view_padding(): void;
    private anchorStyle;
    private anchorCellIndex;
    private displayCells;
    private displayRows;
    private selectedElements;
    private unselectedElements;
    private rowPixels;
    private columnPixels;
    model: GridHeatMapModel;
}
